package com.ruoyi.system.service;

import com.ruoyi.system.domain.OssFileUploadDTO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2025/6/16
 **/
public interface OssFileService {

    String uploadFileToOss(OssFileUploadDTO ossFileUploadDTO);

    MultipartFile getFileFromOss(String uuid);

    void deleteFileFromOss(String uuid);

    void batchDeleteFileFromOss(List<String> uuids);

}
